Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

alacarte-3.36.0-1.1 RPM for x86_64

From OpenSuSE Tumbleweed for x86_64

Name: alacarte Distribution: openSUSE Tumbleweed
Version: 3.36.0 Vendor: openSUSE
Release: 1.1 Build date: Tue Mar 10 16:23:07 2020
Group: System/GUI/GNOME Build host: lamb57
Size: 299014 Source RPM: alacarte-3.36.0-1.1.src.rpm
Packager: https://bugs.opensuse.org
Url: http://www.realistanew.com/projects/alacarte
Summary: Menu editor for GNOME
Alacarte is a simple freedesktop.org compliant menu editor for GNOME
that lets you change your menus, simply and quickly. Just click and
type to edit, add, and delete any menu entry.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Thu Mar 05 2020 bjorn.lie@gmail.com
  - Update to version 3.36.0:
    + Require Python 3.2+.
* Fri Feb 14 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Update to version 3.35.91:
    + Fix bad command validation.
    + Require Python 3.0+.
    + Support Python 3.8+.
  - Drop fix-bad-command-validation.patch and alacarte-python3.patch:
    fixed upstream.
  - Drop autoconf and automake BuildRequires, and no longer call
    autoreconf: no patch touches the build system.
  - Rebase alacarte-trans.patch.
  - Drop deprecated use of %desktop_database_post/postun and
    - %icon_theme_cache_post/postun macros.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - No longer recommend -lang: supplements are in use
* Tue Jan 29 2019 Dominique Leuenberger <dimstar@opensuse.org>
  - Update alacarte-python3.patch: Add support for python 3.7.
* Wed Feb 28 2018 dimstar@opensuse.org
  - Modernize spec-file by calling spec-cleaner
* Mon Jan 15 2018 mgorse@suse.com
  - Migrate to python3 (bsc#1075771):
    + Add alacarte-python3.patch: convert the code to be py3
      compatible.
    + Update alacarte-trans.patch: Don't use tab for indentation.
    + Add autoconf and automake BuildRequires and call autoreconf in
      build section: needed, since above patches touch the build
      system.
    + Replace python BuildRequires with python3.
    + Add python3-gobject-Gdk Requires: new dependency.
* Thu Sep 14 2017 qzheng@suse.com
  - Added fix-bad-command-validation.patch which fix bad command
    validation, backported from commit hash 665b471 and ca7d05c
    (bsc#1057908, bgo#728372).
* Fri May 20 2016 alarrosa@suse.com
  - Update to GNOME 3.20.2 (Fate#318572)
* Tue May 03 2016 dimstar@opensuse.org
  - Require python-gobject-Gdk: pygobject was further split in order
    to be able to install it without X-dependencies. Alacarte imports
    Gdk from gi.repository, thus also requires python-gobject-Gdk.
* Thu Apr 14 2016 mgorse@suse.com
  - Update to GNOME 3.20  Fate#318572

Files

/usr/bin/alacarte
/usr/lib/python3.8/site-packages/Alacarte
/usr/lib/python3.8/site-packages/Alacarte/ItemEditor.py
/usr/lib/python3.8/site-packages/Alacarte/MainWindow.py
/usr/lib/python3.8/site-packages/Alacarte/MenuEditor.py
/usr/lib/python3.8/site-packages/Alacarte/__init__.py
/usr/lib/python3.8/site-packages/Alacarte/__pycache__
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/ItemEditor.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/ItemEditor.cpython-38.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/MainWindow.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/MainWindow.cpython-38.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/MenuEditor.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/MenuEditor.cpython-38.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/__init__.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/config.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/config.cpython-38.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/util.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/Alacarte/__pycache__/util.cpython-38.pyc
/usr/lib/python3.8/site-packages/Alacarte/config.py
/usr/lib/python3.8/site-packages/Alacarte/util.py
/usr/share/alacarte
/usr/share/alacarte/alacarte.ui
/usr/share/alacarte/directory-editor.ui
/usr/share/alacarte/launcher-editor.ui
/usr/share/applications/alacarte.desktop
/usr/share/doc/packages/alacarte
/usr/share/doc/packages/alacarte/AUTHORS
/usr/share/doc/packages/alacarte/ChangeLog
/usr/share/doc/packages/alacarte/NEWS
/usr/share/doc/packages/alacarte/README
/usr/share/icons/hicolor/16x16/apps/alacarte.png
/usr/share/icons/hicolor/22x22/apps/alacarte.png
/usr/share/icons/hicolor/24x24/apps/alacarte.png
/usr/share/icons/hicolor/256x256/apps/alacarte.png
/usr/share/icons/hicolor/32x32/apps/alacarte.png
/usr/share/icons/hicolor/48x48/apps/alacarte.png
/usr/share/licenses/alacarte
/usr/share/licenses/alacarte/COPYING
/usr/share/man/man1/alacarte.1.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Jul 3 23:48:27 2020